package com.example.blum.day_time_radio_demo;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button btnEnter = (Button) findViewById(R.id.btnEnter);
        Button btnClear = (Button) findViewById(R.id.btnClear);

        final RadioGroup rgDay = (RadioGroup) findViewById(R.id.rgDay);
        final RadioGroup rgTime = (RadioGroup) findViewById(R.id.rgTime);

        //****************************************************************************************
        //get Day and Time selected by user
        btnEnter.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                int rb_day_id = rgDay.getCheckedRadioButtonId();
                int rb_time_id = rgTime.getCheckedRadioButtonId();

                RadioButton rb_day = (RadioButton) findViewById(rb_day_id);
                String day = rb_day.getText().toString();
                Toast.makeText(getApplicationContext(), day, Toast.LENGTH_LONG).show();

                RadioButton rb_time = (RadioButton) findViewById(rb_time_id);
                String time = rb_time.getText().toString();
                Toast.makeText(getApplicationContext(), time, Toast.LENGTH_LONG).show();
            }
        });


        //****************************************************************************************
        // clears out any selected radio buttons when Clear button clicked
        btnClear.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                rgTime.clearCheck();  //SIMPLER AND WORKS BETTER THAN LOWER with LOOP
                rgDay.clearCheck();
/*
                // uncheck Day RadioButtons
                for(int i=0; i< rgDay.getChildCount(); i++){
                    View rg_child = rgDay.getChildAt(i);
                    //child might not be a radio button, could also be a TextView
                    if (rg_child instanceof RadioButton) {
                        RadioButton my_radio_button =(RadioButton)rg_child;
                        my_radio_button.setChecked(false);
                    } //end if it's a radio button
                }//end loop over "views" in rgDay RadioGroup

                // uncheck Time RadioButtons
                for(int i=0; i< rgTime.getChildCount(); i++){
                    View rg_child = rgTime.getChildAt(i);
                    //child might not be a radio button, could also be a TextView
                    if (rg_child instanceof RadioButton) {
                        RadioButton my_radio_button =(RadioButton)rg_child;
                        my_radio_button.setChecked(false);
                    } //end if it's a radio button
                }//end loop over "views" in rgTime RadioGroup
*/
            }//end onClick
        }); // end btnClear setOnClickListener


        //****************************************************************************************
        //pre-select a RadioButton
        View rg_child = rgDay.getChildAt(1);
        RadioButton my_radio_button =(RadioButton)rg_child;
        my_radio_button.setChecked(true);

        rg_child = rgTime.getChildAt(1);
        my_radio_button =(RadioButton)rg_child;
        my_radio_button.setChecked(true);
    } //end onCreate
}//end MainActivity
